package main

import (
	"fmt"
	"ess"
)

func main() {

	t := ess.Token{
		AccessKey: "ak",
		SecretKey: "sk",
	}

	s := ess.ApiSdk{
		Tk:     t,
		Url:    "https://api-ess.xycloud.com",
		Bucket: "bucket",
	}

	//文件列表
	fmt.Println("------list file test------")
	fmt.Println(s.FileList("test.com/dir", 1, 50))
	//删除文件
	fmt.Println("------remove file test------")
	fmt.Println(s.RmFile([]string{"mmm"}))
	//删除目录
	fmt.Println("------remove directory test------")
	fmt.Println(s.RmDir([]string{"test/abc"}))
	//上传文件
	fmt.Println("------upload file test------")
	u := ess.ApiSdk{
		Tk:     t,
		Url:    "https://upload-ess.xycloud.com",
		Bucket: "bucket",
	}

	u.UploadFile("0", "test.txt", "test.com/dir/test.txt")
}
